Bug 475110 - (monkeystudio) Review Request: monkeystudio - Free crossplatform Qt 4 IDE
Review Request: monkeystudio - Free crossplatform Qt 4 IDE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
http://www.monkeystudio.org/
:
Depends On: 478481
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 16:52 EST by Nicoleau Fabien
Modified: 2009-11-06 15:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 04:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-12-07 16:52:09 EST
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/monkeystudio.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc10/monkeystudio-1.8.3.0-1.2625svn.fc10.src.rpm
Description:
MonkeyStudio is a crossplatform Integrated Development Environment ( IDE )
aiming to become a Rapid Application Development ( RAD ) environment.
MonkeyStudio runs everywhere Qt 4.4.0 ( minimum required to build it )
is available as a shared library. It is extensible via a great and powerful
plugin system which help make it do nearly anything you want and support
virtually any kind of project type for which a plugin exists or is created.
The primary goal of MonkeyStudio was to manage Qt4 projects as best
as possible, it directly uses .pro files and does not create intrusive or
unsightly configuration files. MonkyStudio is also a multi language
code editor too ( javascript, xml, ... ).

This package builds on koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=985783
Rebuild under mock is OK.
Rpmlint output :
[builder@FEDOBOX tmp]$ rpmlint monkeystudio-1.8.3.0-1.2625svn.fc10.i386.rpm monkeystudio-1.8.3.0-1.2625svn.fc10.src.rpm monkeystudio-debuginfo-1.8.3.0-1.2625svn.fc10.i386.rpm
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Console/$Main File Name$
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Plugin/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Dll/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Application/$Main File Name$
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Console/$Project Name$.pro
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.h
monkeystudio.i386: E: zero-length /usr/share/monkeystudio/templates/All/Empty file/$File Name$
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/Main/$File Name$
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/XML/Qt Form/$Class Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Application/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Application/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/XML/Qt Form/$Class Name$.ui
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Class/$Base File Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Objective-C++/Class/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/C++ Hello World/$File Name$
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Static Lib/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Objective-C++/Herited Class/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/XML/Qt Form/$Class Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QWidget Herited Class/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Dll/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/All/XUP Project/$Project Name$.xup
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QObject Herited Class/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Console/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Static Lib/$Project Name$.pro
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Solution/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Static Lib/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Dll/$Project Name$.pro
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/XML/Qt Form/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Gui/$Project Name$.pro
3 packages and 0 specfiles checked; 25 errors, 14 warnings.

As all of those files are templates used by monkeystudio, I think that all errors and warnings can be ignored.
Comment 1 Rex Dieter 2008-12-08 09:18:25 EST
Neat.

I'm curious about details around the need for the -spec %{_libdir}/qt4/mkspecs/linux-g++ workaround on x86_64 (or 64bit in general?).
Comment 2 Nicoleau Fabien 2008-12-09 16:50:07 EST
hi,
If I don't use this line for x86_64, it build correctly, but at runtime, plugins can't be loaded. It seems that without this line, plugins are not builded for the good arch. I could't test it for ppc64 (build is ok, but can't test runtime).

It also seems that this problem only appears with fedora ((x)buntu, opensuse at least don't have to use this).
Comment 3 Rex Dieter 2008-12-09 19:31:00 EST
How recently did you test that on fedora?  (and why didn't we get any bug reports about it? :) )
Comment 4 Rex Dieter 2008-12-09 19:33:56 EST
Full disclosure: we did have a qmake-config issue related to that in the past, but afaik, it should be resolved now.
Comment 5 Nicoleau Fabien 2008-12-10 07:47:58 EST
I have tested it a few month ago (difficult for me as I only have a i386).
I'll try to find someone to test it again soon :)
Comment 6 Nicoleau Fabien 2008-12-10 13:53:16 EST
I've rebuiled this package without using "-spec" option : http://koji.fedoraproject.org/koji/taskinfo?taskID=991755

Compilation works fine, but at application launch, plugins are not loaded, with those messages :
 Failed to load plugin ( /usr/lib64/monkeystudio/network/libIrc.so ): Error: QLibrary::load_sys: Cannot load /usr/lib64/monkeystudio/network/libIrc.so (/usr/lib64/monkeystudio/network/libIrc.so: undefined symbol: _ZN11pDockWidget10setVisibleEb) ...

If I use de -spec option, plugins are loded correctly.
Comment 7 Nicoleau Fabien 2008-12-14 05:01:02 EST
Must I open a specific bug for that ? It's quite difficult as I don't know the real reason for that (trick with -spec was given by upstream), and I don't have a x86_64 to ealily reproduce it :(
Comment 8 Nicoleau Fabien 2008-12-30 14:59:48 EST
Update for new release (1.8.3.0) :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/monkeystudio.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc10/monkeystudio-1.8.3.0-1.fc10.src.rpm

I'll open a specific bug for the -spec option needed.

Builds on koji : 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1026840

Rpmlint output :
[builder@FEDOBOX SPECS]$ rpmlint /home/builder/rpmbuild/SRPMS/monkeystudio-1.8.3.0-1.fc10.src.rpm /home/builder/rpmbuild/RPMS/i386/monkeystudio-1.8.3.0-1.fc10.i386.rpm /home/builder/rpmbuild/RPMS/i386/monkeystudio-debuginfo-1.8.3.0-1.fc10.i386.rpm
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Plugin/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/PHP/PHP-Qt Gui/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Dll/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Application/$Main File Name$
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Console/$Project Name$.pro
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.h
monkeystudio.i386: E: zero-length /usr/share/monkeystudio/templates/All/Empty file/$File Name$
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/Main/$File Name$
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Application/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/PHP/QWidget Herited Class/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/PHP/PHP-Qt Console/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Class/$Base File Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/C++ Hello World/$File Name$
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Static Lib/$Project Name$.pro
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/PHP/Qt Form/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Static Lib/$Project Name$.pro
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Dll/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/All/XUP Project/$Project Name$.xup
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QObject Herited Class/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/PHP/QObject Herited Class/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.ui
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QWidget Herited Class/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/PHP/Qt Form/$Class Name$.ui
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/PHP/PHP-Qt Gui/$Project Name$.xphpqt
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Application/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Solution/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Static Lib/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake C-C++ Dll/$Project Name$.pro
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/PHP/PHP-Qt Console/$Project Name$.xphpqt
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/QMake Qt Gui/$Project Name$.pro
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/C++/Qt Form/template.ini
3 packages and 0 specfiles checked; 29 errors, 14 warnings.
[builder@FEDOBOX SPECS]$ 

Only template files are concerned
Comment 9 Nicoleau Fabien 2009-02-15 16:40:55 EST
Update for 1.8.3.2 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/monkeystudio.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc10/monkeystudio-1.8.3.2-1.fc10.src.rpm

rpmlint output :
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/Qt Form/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.h
monkeystudio.i386: E: zero-length /usr/share/monkeystudio/templates/All/Empty file/$File Name$
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/Qt Form/$Class Name$.ui
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/QObject Herited Class/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Console/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Console/$Project Name$.xpyqt
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.cpp
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Gui/$Form File Name$.ui
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Gui/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Gui/$Project Name$.xpyqt
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.cpp
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.cpp
3 packages and 0 specfiles checked; 9 errors, 14 warnings.

All this warnings can be inored has they concerned template files.
Comment 10 Nicoleau Fabien 2009-05-11 15:47:34 EDT
Update fo 1.8.3.3 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/monkeystudio.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc10/monkeystudio-1.8.3.3-1.fc10.src.rpm

rpmlint output :

[builder@FEDOBOX ~]$ rpmlint /home/builder/rpmbuild/SRPMS/monkeystudio-1.8.3.3-1.fc10.src.rpm /home/builder/rpmbuild/RPMS/i386/monkeystudio-1.8.3.3-1.fc10.i386.rpm /home/builder/rpmbuild/RPMS/i386/monkeystudio-debuginfo-1.8.3.3-1.fc10.i386.rpm
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/Qt Form/template.ini
monkeystudio.i386: E: zero-length /usr/share/monkeystudio/templates/All/Empty file/$File Name$
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/Qt Form/$Class Name$.ui
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/QObject Herited Class/template.ini
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Console/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.cpp
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Class/$Base File Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Console/$Project Name$.xpyqt
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.cpp
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Gui/$Form File Name$.ui
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Herited Class/$Base File Name$.h
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.h
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Gui/template.ini
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.cpp
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.cpp
monkeystudio.i386: E: script-without-shebang /usr/share/monkeystudio/templates/Python/PyQt Gui/$Project Name$.xpyqt
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.cpp
monkeystudio.i386: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.cpp
3 packages and 0 specfiles checked; 9 errors, 14 warnings.

All this warnings can be ignored as they are related to template files.
Comment 11 Rex Dieter 2009-06-25 15:45:34 EDT
I can review this.

I still consider the qmake hackery a monkeystudio bug, and is potentially a review blocker (details to follow).
Comment 12 Rex Dieter 2009-06-25 16:21:48 EDT
SHOULD: fix the monkeystudio.x86_64: E: script-without-shebang type errors from rpmlint.  This seems to be due to spurious permissions of said files, ie, them being executable.

SHOULD: consider using some/more qt4-related rpm macros, see /etc/rpm/macros.qt4 for details.  In particular, %{_qt4_qmake} or %{_qt4_bindir} make be useful

MUST: drop qmake hack (on x86_64).  The hack makes the build not use the recommended compiler flags, see also:
https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags
Then, investigation can continue on finding the proper cause for missing symbols in monkeystudio plugins.

Looking closer, the only differences I see are with the hack, stuff is build pretty much only with 
-O2
and without the hack,
-m64 -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
and linked additionally with:
-m64
Comment 13 Nicoleau Fabien 2009-06-25 16:46:45 EDT
Thanx for taking the review Rex,
I'll update the review this weekend.
Comment 14 Filipe AZEVEDO 2009-06-25 16:58:57 EDT
(In reply to comment #11)
> I can review this.
> 
> I still consider the qmake hackery a monkeystudio bug, and is potentially a
> review blocker (details to follow).  

Hi,

I'm the monkeystudio author.
I would spoke about the 64bits hack.
As far as i know it's not a mks bug, i see no way to prove that, in fact i don't play with qmake spec. Ordinary sub project are build using parent project spec.
I never see this problem in others 64bits os ( differents unix like distro like debian, ubuntu and derivated, and os x / windows ).
I have no fedora install right now so i can't really check, it would be nice to have the complete build log so i can analyze it.
If i got the time i could eventually later create a dummy small project that could reproduce the problem.
For me the probleme is mostly into default qmake used spec, it could be interesting to know what spec is used as default and see it's content.

Regards,
Comment 15 Nicoleau Fabien 2009-06-27 15:52:48 EDT
Update 
Spec URL: http://rpms.nicoleau-fabien.net/SPECS/monkeystudio.spec
SRPM URL:
http://rpms.nicoleau-fabien.net/srpms.fc11/monkeystudio-1.8.3.3-2.fc11.src.rpm

changelog:
- Remove 64 bits trick
- Use qt4 macros
- Fix some files permissions

rpmlint output :
[builder@FEDOBOX rpmbuild]$ rpmlint /home/builder/rpmbuild/SRPMS/monkeystudio-1.8.3.3-2.fc11.src.rpm /home/builder/rpmbuild/RPMS/i586/monkeystudio-1.8.3.3-2.fc11.i586.rpm /home/builder/rpmbuild/RPMS/i586/monkeystudio-debuginfo-1.8.3.3-2.fc11.i586.rpm
monkeystudio.i586: E: zero-length /usr/share/monkeystudio/templates/All/Empty file/$File Name$
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.h
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.h
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.cpp
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.h
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Class/$Base File Name$.h
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.cpp
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.h
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.h
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Herited Class/$Base File Name$.h
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.h
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.cpp
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.cpp
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.cpp
monkeystudio.i586: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.cpp
3 packages and 0 specfiles checked; 1 errors, 14 warnings.
Comment 16 Nicoleau Fabien 2009-08-05 15:53:40 EDT
About the x86_64 hack : Unfortunatly I only have a 32 bits processor. Upstream will do some compilation tests to find which one of the "fedora parameters" used creates an issue.
Comment 17 Filipe AZEVEDO 2009-08-08 07:35:08 EDT
(In reply to comment #12)
> SHOULD: fix the monkeystudio.x86_64: E: script-without-shebang type errors from
> rpmlint.  This seems to be due to spurious permissions of said files, ie, them
> being executable.
> 
> SHOULD: consider using some/more qt4-related rpm macros, see
> /etc/rpm/macros.qt4 for details.  In particular, %{_qt4_qmake} or
> %{_qt4_bindir} make be useful
> 
> MUST: drop qmake hack (on x86_64).  The hack makes the build not use the
> recommended compiler flags, see also:
> https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags
> Then, investigation can continue on finding the proper cause for missing
> symbols in monkeystudio plugins.
> 
> Looking closer, the only differences I see are with the hack, stuff is build
> pretty much only with 
> -O2
> and without the hack,
> -m64 -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector
> --param=ssp-buffer-size=4 -m64 -mtune=generic
> and linked additionally with:
> -m64  

I built the sources adding the compiler flags u given without the hack using 64bits ubuntu/kubuntu jaunty, the application build and start fine !
It seem the problem does not come from mks sources :/
Comment 18 Rex Dieter 2009-08-22 15:43:43 EDT
Fair enough, turns out we no longer really need the customized platform definition for our fedora qt builds anyway, so I'll test that out here.
Comment 19 Rex Dieter 2009-08-22 20:03:33 EDT
Oh fudge, something seems to have changed recently to cause build failures:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1626403

My first guess would be the recent qscintilla-2.4 update.  Any ideas?
Comment 20 Filipe AZEVEDO 2009-08-24 03:07:02 EDT
Hi,

It seem this build eror comes from the introduction of Qt 4.5.2 in distros.
It have been fixed in our svn trunk.
I will contact eopnyme so he can update he package when it will have time.
Comment 21 Nicoleau Fabien 2009-08-24 14:20:25 EDT
Update :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/monkeystudio.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc11/monkeystudio-1.8.4.0-0.1.20090824svn3243.fc11.src.rpm

Changelog : 
I'm now using svn version. 

Package now builds on koji :
http://koji.fedoraproject.org/koji/taskinfo?taskID=1630094

rpmlint output :

monkeystudio.x86_64: E: zero-length /usr/share/monkeystudio/templates/All/Empty file/$File Name$
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.h
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.h
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.cpp
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.h
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Class/$Base File Name$.h
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.cpp
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.h
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Qt Form/$Class Name$.h
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/Objective-C++/Herited Class/$Base File Name$.h
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QObject Herited Class/$Base File Name$.h
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Herited Class/$Base File Name$.cpp
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Class/$Base File Name$.cpp
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/Namespace/$Base File Name$.cpp
monkeystudio.x86_64: W: devel-file-in-non-devel-package /usr/share/monkeystudio/templates/C++/QWidget Herited Class/$Base File Name$.cpp
3 packages and 0 specfiles checked; 1 errors, 14 warnings.

As I now have an x86_64 processor, I'll make tests about the plugins thing.
Comment 22 Rex Dieter 2009-08-30 16:07:21 EDT
fyi, followed-through on threat in comment #18, built a new qt for rawhide,

%changelog
* Thu Aug 27 2009 Rex Dieter <rdieter@fedoraproject.org> 4.5.2-12
- use platform linux-g++ everywhere (ie, drop linux-g++-64 on 64 bit),
  avoids plugin/linker weirdness described in bug #475110
Comment 23 Nicoleau Fabien 2009-08-31 13:30:37 EDT
Update : 
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/monkeystudio.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc11/monkeystudio-1.8.4.0-0.2.20090824svn3243.fc11.src.rpm

changelog : 
- Add qt-devel version to avoid plugin problems
- Removed UpdateChecker plugin compilation

Package builds on koji :
http://koji.fedoraproject.org/koji/taskinfo?taskID=1646487

Rpmlint output is still the same : 1 errors, 14 warning

I tried the rpm x86_64 from the last koji build (with qt-devel 4.5.2-12), and now everything works fine.
I also removed UpdateChecker plugin from compilation process because I think that it's not really usefull (yum is the UpdateChecker ;) ).
Comment 24 Rex Dieter 2009-09-12 14:36:26 EDT
Some small things, I think we're good to go:

1. If possible, provide full URL for Source0  (for source verification, etc...
2. why include all of:
%doc ... GPL-2 GPL-3 LGPL-3
?  if this is GPL-3 (per License tag), then that's all that's needed here
Comment 25 Rex Dieter 2009-09-12 14:48:46 EDT
I won't consider items from comment #24 blockers, can be addressed post-review.

Otherwise, 

spec looks good, macro usage consistent.

APPROVED.


p.s.  thanks for bearing with me, and sorry for the extended review.
Comment 26 Nicoleau Fabien 2009-09-13 14:36:37 EDT
Thank you for this review Rex !
I'll update spec before import.
As qt-devel>=4.5.2-12 is required, I'll only import it in devel branch.

New Package CVS Request
=======================
Package Name: monkeystudio
Short Description: Free crossplatform Qt 4 IDE
Owners: eponyme
Branches: 
InitialCC:
Comment 27 Kevin Fenzi 2009-09-14 01:01:04 EDT
cvs done.
Comment 28 Nicoleau Fabien 2009-11-05 05:42:23 EST
Package Change Request
======================
Package Name: monkeystudio
New Branches: F-11
Owners: eponyme
Comment 29 Kevin Fenzi 2009-11-06 15:48:45 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.